# RPM specfile for gnome-mime-data module
# Generated Thu Jun 27 15:58:11 2002 GMT by Ximian build system
# $Id: bb_do,v 1.188 2002/06/24 17:56:02 frb Exp $
# from $Id: ximian-build.conf,v 1.8 2002/06/05 21:39:30 dobey Exp $

%define nam	gnome-mime-data
%define ver	1.0.8
%define ximrev	3

Name:     	gnome-mime-data
Version: 	1.0.8
Release:	1.ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 8.0 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.gnome.org
Source0:	gnome-mime-data-1.0.8.tar.gz
Patch0:		gnome-mime-data-openoffice.patch
Patch1:		gnome-mime-data-should-use-icons.patch
Patch2:		gnome-mime-data-gnumeric.patch
Summary:	The GNOME virtual filesystem MIME database
Group:		System Environment/Libraries
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/lib/pkgconfig/*.pc
/opt/gnome/share/application-registry/*.applications
/opt/gnome/share/mime-info/*.keys
/opt/gnome/share/mime-info/*.mime
/opt/gnome/man/man5/*
/opt/gnome/*/locale/*/LC_MESSAGES/*.mo
/opt/gnome/share/pixmaps/document-icons
%config /etc/opt/gnome/gnome-vfs-mime-magic


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-mime-data-1.0.8
    ;;
all)
%setup  -q -n gnome-mime-data-1.0.8
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Jun 27 2002 Ximian, Inc.

- Version: 1.0.8-1.ximian.3
- Summary: New build.
- New automated build.

* Tue May 14 2002 Ximian, Inc.

- Version: 1.0.5-1.ximian.2
- Summary: New build.
- New automated build.

